tt_pattern_arg_add(library call)

NAME
tt_pattern_arg_add — add an argument to a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_arg_add(
Tt_pattern p,
Tt_mode n,
const char *vtype,
const char *value);

DESCRIPTION

The tt_pattern_arg_add function adds an argument to a pattern. The application must add pattern arguments before it registers the pattern with the ToolTalk service.

The p argument is the opaque handle for the pattern involved in this operation The n argument specifies who (sender, handler, observers) writes and reads a message argument. The following modes are defined:

TT_IN
    The argument is written by the sender and read by the handler and any observers.

TT_OUT
    The argument is written by the handler and read by the sender and any reply observers.

TT_INOUT
    The argument is written by the sender and the handler and read by all.

The vtype argument describes the type of argument data being added. The type ALL matches any argument value type. The value argument is the value to fill in. This value must be an unsigned character string. A NULL matches any value.

RETURN VALUE

Upon successful completion, the tt_pattern_arg_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_register(3), tt_pattern_barg_add(3), tt_pattern_iarg_add(3).